Skip to main content
POST
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
settlements
/
reports
/
generate-test-report
Generate a test settlement report
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/settlements/reports/generate-test-report \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{}'
{
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing regular endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

Options to determine which transactions to include. If no options are included transactions from the last 7 days will be included.

Only operations for a transaction that has not already been settled will be included.

transaction_ids
string[]

Array of transaction IDs to include in the report. If a transaction has already been settled earlier it will be ignored. An empty array will be ignored. Should not be combined with number_of_transactions or date_range.

Maximum array length: 1000
Example:
[
"T12345678.aaaabbbbccccddddeeee01",
"T12345678.aaaabbbbccccddddeeee02"
]
number_of_transactions
integer

Number of transactions to include. Can be combined with date_range, but should not be combined with transaction_ids. Must be a positive integer.

Required range: 1 <= x <= 10000
Example:

10

date_range
object

A date range to limit which transactions to include. Can be combined with number_of_transactions, but should not be combined with transaction_ids.

start_date must be before end_date.

Response

No transactions to generate report. This can be if there are no new transaction events to generate report for.

message
string
required